%% Spočítá hodnoty cL a cD ve významných bodech k proložení křivkou
% Použití pro 2D případ - aerodynamika je v jedné síle
clear all;clc;close all;
% Zjišťujeme koeficienty c_L a c_D

Fg = 80*9.80556;

%% první bod - plný speed - 51km/h
v = 51/3.6; % m/s
% odhady
vo = 2.5;
% dopočty
gama = asin(vo/v);
disp('******* speed ******');
rad2deg(gama)
vd = v*cos(gama);

% odporová síla na pilota se sedačkou
Fo = 0.21 * v^2;

% vysledne L a D
% L = Fg / (cos(gama) + sin(gama)^2/cos(gama));
% D = L*sin(gama)/cos(gama);
D = Fg / (cos(gama)+sin(gama)) - Fo;
L = (D+Fo)*cos(gama)/sin(gama);

cl_3 = L/v^2;
cd_3 = D/v^2;

alph_3 = (0) + rad2deg(gama);
%% druhý bod - 0% brzd i speedu - 37,5km/h, opadání 1,2m/s
vo = 1.1; % m/s
v = 37.5/3.6; % m/s
% dopočty
gama = asin(vo/v);
disp('******* trim ******');
rad2deg(gama)
vd = v*cos(gama);

% odporová síla na pilota se sedačkou
Fo = 0.21 * v^2;

% vysledne L a D
% L = Fg / (cos(gama) + sin(gama)^2/cos(gama));
% D = L*sin(gama)/cos(gama)-Fo;
D = Fg / (cos(gama)+sin(gama)) - Fo;
L = (D+Fo)*cos(gama)/sin(gama);
cl_2 = L/v^2;
cd_2 = D/v^2;
alph_2 = (8) + rad2deg(gama);
%% třetí bod - 100% brzd - rychlost 23km/h
vd = 23/3.6; % m/s
ridicky = 1;
% odhad:
vo = 2;
% dopočty
gama = atan(vo/vd); % rad
disp('******* brzdy ******');
rad2deg(gama)
v = vd/cos(gama);

% odporová síla na pilota se sedačkou
Fo = 0.21 * v^2;

% vysledne L a D
% L = Fg / (cos(gama) + sin(gama)^2/cos(gama));
% D = L*sin(gama)/cos(gama)-Fo;
D = Fg / (cos(gama)+sin(gama)) - Fo;
L = (D+Fo)*cos(gama)/sin(gama);
cl_1 = L/v^2;
cd_1 = D/v^2;
alph_1 = (30) + rad2deg(gama);
%% Vytvoříme data pro cftool
alphaL = [alph_3 12 alph_2 30 alph_1];
CL = [cl_3 45 cl_2 57 cl_1]
alphaD = [alph_3 alph_2 alph_1];
CD = [cd_3 cd_2  cd_1]

subplot(2,1,1);
plot(alphaL,CL);
grid;title('CL');
subplot(2,1,2);
plot(alphaD,CD);
grid;title('CD');


